/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { IBannerAdapter } from './banner-adapter';
export interface IBannerFoundation extends ICustomElementFoundation {
    dismissed: boolean;
    canDismiss: boolean;
}
export declare class BannerFoundation implements IBannerFoundation {
    private _adapter;
    private _dismissed;
    private _canDismiss;
    private _dismissBanner;
    constructor(_adapter: IBannerAdapter);
    connect(): void;
    disconnect(): void;
    private _dismiss;
    private _syncDismissedState;
    private _setUndissmissedClass;
    private _setDismissedClass;
    private _syncCanDismissState;
    private _addDismissEventListener;
    private _removeDismissEventListener;
    get dismissed(): boolean;
    set dismissed(val: boolean);
    get canDismiss(): boolean;
    set canDismiss(val: boolean);
}
